Status: Resolved Priority: Must have
Author: Aske Ertmann Category: MVC - Routing
Created: 2012-12-20 Assigned To:
Updated: 2013-08-24 Due date:
PHP Version:
Has patch: Yes
Complexity: medium
Affected Flow version: Git master
Subject: UriBuilder includes all arguments of namespaced sub request
Description

When creating a link in a sub request using argument namespace the arguments of the current sub request is added to all links even
though addQueryString is not set. This happens because the logic removing them were removed when fixing #42770. The problem is
that fix removes the current arguments for sub requests correctly, but when the arguments of the parent request are added it adds
those namespaced arguments which actually belong to the sub request again.

Related issues:
related to TYPO3.Flow - Bug # 42770: Routing includes parameters from the cur... Resolved 2012-11-07

Associated revisions
Revision 1c357548 - 2012-12-20 16:00 - Aske Ertmann

[BUGFIX] Prevent UriBuilder adding current namespaced arguments

UriBuilder no longer removes namespaced arguments from the
parent request causing all arguments of namespaced sub request to
be added to new request even though addQueryString isn't set.

The bug was introduced in Iba56bfffa9d8f47670afb1297575607b1b0023a8

Change-Id: Iadbfaecbda57186bec86ea8cc3112a3fbd35d95b
Fixes: #44139
Releases: master, 2.0

Revision 4064c298 - 2013-01-23 09:51 - Aske Ertmann

[BUGFIX] Prevent UriBuilder adding current namespaced arguments

UriBuilder no longer removes namespaced arguments from the
parent request causing all arguments of namespaced sub request to
be added to new request even though addQueryString isn't set.

The bug was introduced in Iba56bfffa9d8f47670afb1297575607b1b0023a8

Change-Id: Iadbfaecbda57186bec86ea8cc3112a3fbd35d95b
Fixes: #44139
Releases: master, 2.0
History
#1 - 2012-12-20 00:04 - Aske Ertmann
- Subject changed from UriBuilder includes arguments from parent request to UriBuilder includes all arguments of namespaced sub request

#2 - 2013-01-23 09:51 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/17663

#3 - 2013-08-14 15:35 - Karsten Dambekalns
- Target version changed from 2.0 to 2.0.1

#4 - 2013-08-24 15:49 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
